=== modified file 'configure.ac'
--- configure.ac	2010-08-21 03:51:05 +0000
+++ configure.ac	2010-09-17 23:30:41 +0000
@@ -20,7 +20,7 @@
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 dnl Version from the AC_INIT call below is overridden later
 dnl So don't update it here
-AC_INIT([drizzle],[7],[http://bugs.launchpad.net/drizzle])
+AC_INIT([drizzle7],[7],[http://bugs.launchpad.net/drizzle])
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
 AC_CONFIG_AUX_DIR([config])
 

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-09-18 01:33:23 +0000
+++ drizzled/include.am	2010-09-19 17:42:57 +0000
@@ -436,8 +436,8 @@
 			      drizzled/visibility.h \
 			      drizzled/xid.h
 
-drizzled_drizzled_LDFLAGS= -export-dynamic
-drizzled_drizzled_LDADD= \
+drizzled_drizzled7_LDFLAGS= -export-dynamic
+drizzled_drizzled7_LDADD= \
 				drizzled/algorithm/libhash.la \
 				drizzled/util/libutil.la \
 				drizzled/internal/libinternal.la \
@@ -456,12 +456,13 @@
 				$(BOOST_LIBS) \
 				$(GCOV_LIBS) 
 
-drizzled_drizzled_DEPENDENCIES= \
-                                      drizzled/message/libdrizzledmessage.la \
-                                      ${noinst_LTLIBRARIES} \
-                                      $(pandora_plugin_libs)
+drizzled_drizzled7_DEPENDENCIES= \
+				 drizzled/drizzled \
+				 drizzled/message/libdrizzledmessage.la \
+				 ${noinst_LTLIBRARIES} \
+				 $(pandora_plugin_libs)
 
-drizzled_drizzled_SOURCES= \
+drizzled_drizzled7_SOURCES= \
                            drizzled/main.cc \
 				 drizzled/alter_info.cc \
 				 drizzled/cached_item.cc \
@@ -767,7 +768,7 @@
 				 drizzled/version.cc \
 				 drizzled/xid.cc
 
-sbin_PROGRAMS+= drizzled/drizzled
+sbin_PROGRAMS+= drizzled/drizzled7
 
 noinst_LTLIBRARIES+= \
 		     drizzled/libcached_directory.la \
@@ -851,7 +852,7 @@
 	     $(nodist_drizzled_SOURCES)
 
 if DTRACE_NEEDS_OBJECTS
-drizzled_drizzled_SOURCES+= drizzled/probes.d
+drizzled_drizzled7_SOURCES+= drizzled/probes.d
 endif
 
 if HAVE_DTRACE
@@ -861,6 +862,7 @@
 
 
 DISTCLEANFILES+= \
+		 drizzled/drizzled \
 		 $(EXTRA_PROGRAMS) \
 		 $(BUILT_MAINT_SRC)
 
@@ -883,6 +885,9 @@
 	$(CXXCOMPILE) -include config.h ${NO_UNUSED_MACROS} -c $<
 endif
 
+drizzled/drizzled:
+	$(LN_S) drizzled7 drizzled/drizzled
+
 drizzled/probes.o :  drizzled/probes.d $(DTRACEFILES) config.h
 
 .d.o:

=== modified file 'm4/pandora_drizzle_build.m4'
--- m4/pandora_drizzle_build.m4	2010-08-20 05:59:08 +0000
+++ m4/pandora_drizzle_build.m4	2010-09-17 19:47:46 +0000
@@ -70,6 +70,8 @@
   PANDORA_REQUIRE_BOOST([1.38])
   PANDORA_REQUIRE_BOOST_PROGRAM_OPTIONS
   PANDORA_REQUIRE_BOOST_THREAD
+  PANDORA_REQUIRE_BOOST_REGEX
+  PANDORA_REQUIRE_BOOST_DATE_TIME
 
 
 ])

=== added file 'm4/pandora_have_libboost_regex.m4'
--- m4/pandora_have_libboost_regex.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_have_libboost_regex.m4	2010-09-17 19:47:46 +0000
@@ -0,0 +1,54 @@
+dnl Copyright (C) 2010 Andrew Hutchings
+dnl This file is free software; Andrew Hutchings
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_BOOST_REGEX],[
+  AC_REQUIRE([AC_LIB_PREFIX])
+  AC_REQUIRE([ACX_PTHREAD])
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for boost::regex
+  dnl --------------------------------------------------------------------
+
+  save_CFLAGS="${CFLAGS}"
+  save_CXXFLAGS="${CXXFLAGS}"
+  CFLAGS="${PTHREAD_CFLAGS} ${CFLAGS}"
+  CXXFLAGS="${PTHREAD_CFLAGS} ${CXXFLAGS}"
+
+  AC_LANG_PUSH(C++)
+  AC_LIB_HAVE_LINKFLAGS(boost_regex-mt,,[
+    #include <boost/regex.hpp>
+  ],[
+    boost::regex test_regex("drizzle");
+  ])
+  AS_IF([test "x${ac_cv_libboost_regex_mt}" = "xno"],[
+    AC_LIB_HAVE_LINKFLAGS(boost_regex,,[
+      #include <boost/regex.hpp>
+    ],[
+      boost::regex test_regex("drizzle");
+    ])
+  ])
+  AC_LANG_POP()
+  CFLAGS="${save_CFLAGS}"
+  CXXFLAGS="${save_CXXFLAGS}"
+
+  
+  AM_CONDITIONAL(HAVE_BOOST_REGEX,
+    [test "x${ac_cv_libboost_regex}" = "xyes" -o "x${ac_cv_libboost_regex_mt}" = "xyes"])
+  BOOST_LIBS="${BOOST_LIBS} ${LTLIBBOOST_REGEX_MT} ${LTLIBBOOST_REGEX}"
+  AC_SUBST(BOOST_LIBS) 
+])
+
+AC_DEFUN([PANDORA_HAVE_BOOST_REGEX],[
+  PANDORA_HAVE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_REGEX($1)
+])
+
+AC_DEFUN([PANDORA_REQUIRE_BOOST_REGEX],[
+  PANDORA_REQUIRE_BOOST($1)
+  _PANDORA_SEARCH_BOOST_REGEX($1)
+  AS_IF([test "x${ac_cv_libboost_regex}" = "xno" -a "x${ac_cv_libboost_regex_mt}" = "xno"],
+      AC_MSG_ERROR([boost::regex is required for ${PACKAGE}]))
+])
+

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2010-09-13 21:21:10 +0000
+++ tests/test-run.pl	2010-09-17 23:30:41 +0000
@@ -653,7 +653,7 @@
   }
 
   if ( $opt_testdir and -d $opt_testdir and $opt_vardir and -d $opt_vardir
-         and -f "$opt_vardir/../../drizzled/drizzled")
+         and -f "$opt_vardir/../../drizzled/drizzled7")
   {
     # probably in a VPATH build
     $glob_builddir= "$opt_vardir/../..";
@@ -683,12 +683,12 @@
 
   if (!$opt_extern)
   {
-    $exe_drizzled=       mtr_exe_exists ("$glob_basedir/drizzled/drizzled",
-				       "$path_client_bindir/drizzled",
-				       "$glob_basedir/libexec/drizzled",
-				       "$glob_basedir/bin/drizzled",
-				       "$glob_basedir/sbin/drizzled",
-                                       "$glob_builddir/drizzled/drizzled");
+    $exe_drizzled=       mtr_exe_exists ("$glob_basedir/drizzled/drizzled7",
+				       "$path_client_bindir/drizzled7",
+				       "$glob_basedir/libexec/drizzled7",
+				       "$glob_basedir/bin/drizzled7",
+				       "$glob_basedir/sbin/drizzled7",
+                                       "$glob_builddir/drizzled/drizzled7");
 
     # Use the drizzled found above to find out what features are available
     collect_mysqld_features();

=== modified file 'unittests/include.am'
--- unittests/include.am	2010-09-16 23:12:30 +0000
+++ unittests/include.am	2010-09-17 23:30:41 +0000
@@ -39,5 +39,5 @@
 			      unittests/utf8_test.cc
 
 unittests_unittests_LDADD= \
-  $(filter-out drizzled/main.$(OBJEXT), ${am_drizzled_drizzled_OBJECTS}) \
-  ${drizzled_drizzled_LDADD} ${LTLIBGTEST} ${BOOST_LIBS}
+  $(filter-out drizzled/main.$(OBJEXT), ${am_drizzled_drizzled7_OBJECTS}) \
+  ${drizzled_drizzled7_LDADD} ${LTLIBGTEST} ${BOOST_LIBS}

